// JamoBTWBNCore.h: interface for the CJamoBTWBNCore class.
//
//////////////////////////////////////////////////////////////////////


class CJamoBTWBNCore  
{
private:
	BOOL	InitBN(JamoBTWBN *pBN,BOOL CJorJZfg,int PreJamoId,int AftJamoId);
	BOOL	CreateParentLink(JamoBTWBN *pBN);
	BOOL	SaveBN(JamoBTWBN *pBN, FILE *file);

public:
	BOOL	LoadBN(JamoBTWBN *pBN, FILE *file);
	BOOL	deleteBN(JamoBTWBN *pBN);
	BOOL	SetDataInBN(JamoBTWBN *pBN,REC_POINT* pPts,int st,int ed);
	float	ForwardBN(JamoBTWBN *pBN);

public:
	CJamoBTWBNCore();
	virtual ~CJamoBTWBNCore();

};

